package com.zhentao.osspicture;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "aliyun.oss")
public class OssConfig {
    @Value("${aliyun.oss.endpoint}")
    private String endpoint;
    @Value("${aliyun.oss.accessKeyId}")
    private String accessKeyId;
    @Value("${aliyun.oss.accessKeySecret}")
    private String accessKeySecret;
    @Value("${aliyun.oss.bucketName}")
    private String bucketName;
    private String fileHost;
    private Integer urlExpireTime;
    /**
     //     * 上传配置
     //     */
    private Upload upload = new Upload();

    /**
     * 上传配置内部类
     */
    @Data
    public static class Upload {

        /**
         * 图片上传配置
         */
        private Image image = new Image();

        /**
         * 视频上传配置
         */
        private Video video = new Video();

        /**
         * 图片上传配置内部类
         */
        @Data
        public static class Image {

            /**
             * 图片上传目录
             */
            private String dir = "moments/images/";

            /**
             * 图片最大大小(字节)，默认10MB
             */
            private long maxSize = 10 * 1024 * 1024;
        }

        /**
         * 视频上传配置内部类
         */
        @Data
        public static class Video {

            /**
             * 视频上传目录
             */
            private String dir = "moments/videos/";

            /**
             * 视频最大大小(字节)，默认50MB
             */
            private long maxSize = 50 * 1024 * 1024;
        }
    }
}
