package com.zhentao.userRelationships.service;

import com.zhentao.user.domain.UserLogin;
import com.zhentao.userRelationships.domain.UserRelationships;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.userRelationships.domain.UserRequest;
import com.zhentao.userRelationships.dto.FriendDto;
import com.zhentao.userRelationships.dto.UserRelationshipsDto;
import com.zhentao.vo.Result;
import org.apache.catalina.User;

import java.util.List;
import java.util.Map;

/**
* @author lenovo
* @description 针对表【user_relationships(用户好友关系表)】的数据库操作Service
* @createDate 2025-06-10 20:29:55
*/
public interface UserRelationshipsService extends IService<UserRelationships> {

    //查询好友
    List<UserRelationships> getFriendIdsByUserId(Long userId);



    //添加好友
    Result sendFriendRequest(String senderId, Long receiverId, String message);


    //查询好友的申请表
    List<UserRequest> getFriendRequestsByUserId(String token);

//    // 查询待处理的申请
//    List<UserRequest> getPendingFriendRequests(Long userId);

    // 处理申请添加好友成功
    Result handleFriendRequest(Long requestId, boolean isAccepted);

    //根据当前登录的用户获取所有好友并且按照首字母进行排序
    List<Map<String, Object>> getFriendsByUserIdAndSort(Long userId);
}
